package com.engine.organization.entity.department.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/19
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DepartmentPO {

    private Long id;

    private String deptNo;

    private String deptName;

    private String deptNameShort;

    private Long parentComp;

    private Long parentDept;

    private Integer deptPrincipal; //部门负责人

    private Integer showOrder;

    private String description;

    private Integer forbiddenTag;

    private Long creator;

    private int deleteType;

    private Date createTime;

    private Date updateTime;
}
