package com.engine.organization.mapper.department;

import com.engine.organization.entity.department.po.DepartmentPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/20
 * @Version V1.0
 **/
public interface DepartmentMapper {

    List<DepartmentPO> getDeptListByCompId(@Param("parentComp") int parentComp);

    List<DepartmentPO> getDeptListByPId(@Param("PId") Long PId);

    List<DepartmentPO> getDeptList(DepartmentPO departmentPO);

    /**
     * 获取顶级数据
     *
     * @return
     */
    List<DepartmentPO> listParent();

    /**
     * 获取子层级数据
     *
     * @param ids
     * @return
     */
    List<DepartmentPO> listChild(@Param("ids") Collection ids);

    DepartmentPO getDeptById(@Param("id") int id);

    String getDeptNameById(@Param("id") int id);
}
